ros-dashing-gazebo-ros (3.3.5-3bionic) bionic; urgency=high

  * fix pathsep for windows (#1028 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1028>)
  * Contributors: Jonathan Noyola

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 May 2020 22:00:00 -0000

ros-dashing-gazebo-ros (3.3.4-3bionic) bionic; urgency=high

  * Remove ROS-specific arguments before passing to argparse (#994 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/994>)
    This resolves argparse errors when trying to launch the spawn_entity script as a ROS node.
    For example, a launch file like the following wouldn't work without this change:
    <launch>
    <arg name="model_urdf" default="$(find-pkg-share mymodels)/urdf/ball.urdf" />
    <node
    pkg="gazebo_ros"
    exec="spawn_entity.py"
    name="spawner"
    args="-entity foo -file /path/to/my/model/foo.urdf" />
    </launch>
    Signed-off-by: Jacob Perron <mailto:jacob@openrobotics.org>
  * [ros2] Remove ported / deprecated (#989 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/989>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * linter :sweat_smile:
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Uncommenting bond option on spawn_entity (wait Ctrl+C then remove entity) (#986 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/986>)
    * Uncommenting bond option on spawn_entity (wait Ctrl+C then remove entity)
    Instead of waiting for a shutdown callback to be created in rclpy,
    we can use the try/except to get the SIGINT signal, then delete the entity.
    * Message formatting
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Jacob Perron, Louise Poubel, alexfneves, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Sep 2019 22:00:00 -0000

ros-dashing-gazebo-ros (3.3.3-3bionic) bionic; urgency=high

  * [ros2] Conditional launch includes (#979 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/979>)
    * [ros2] Conditional launch includes
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * remove unused import
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Add maintainer (#985 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/985>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Address reviews on #868 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/868> (#972 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/972>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * [ros2] Migration of get/set world, model, joint, link, light properties
    * Trying to pass CI test, try n1.
    * clean up some linter warnings
    * Requested changes in review, unfinished
    * Fix uncrustify
    * Address reviews
    * more tests, joint types
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes to GetModelProperties message
    Document gazebo_ros_properties header
    * Convert msgs pose to math pose and use it on SetCoG
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Spawn <plugin> without <ros> (#983 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/983>)
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port spawn model to ROS2 (#948 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/948>)
    * [ros2] Port spawn model to ROS2
    * Delete .ros1_unported files
    * Fixes and add demo
    Change spawn_model to spawn_entity
    * Rename demo launch and add checks for service
    * Fix reading xml file from param and model states
    * remove diplicate
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Use gazebo launch file
    * Change topic behaviour
  * [ros2] Port gazebo launch scripts to ROS2 (#962 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/962>)
    * [ros2] Port gazebo launch scripts to ROS2
    * Add gdb and valgrind option
    * Use shell command for extra gazebo args
  * [ros2] Port joint pose trajectory to ROS2 (#955 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/955>)
    * [ros2] Port joint pose trajectory to ROS2
    * Add conversion tests
    Minor fixes
  * Merge pull request #977 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/977> from ros-simulation/backport
    [backport] ros2 -> dashing
  * [ros2] Port Link states to ROS2 (#969 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/969>)
    * [ros2] Port model states to ROS2
    * [ros2] Port link states to ROS2
    * Change usage of body -> link
    * Remove link_states from .ros1_unported
  * set gazebo library dirs (#963 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/963>)
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * [ros2] Port gazebo_ros_path plugin to ROS2 (#925 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/925>)
    * [ros2] Port gazebo_ros_path plugin
    * Minor fixes
    * Change plugin launch file to python script
    * Fix for flake8 test
  * [ros2] Port bumper sensor to ROS2 (#943 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/943>)
    * [ros2] Port bumper sensor to ROS2
    * Add author name
    * Minor fixes and add contact msg conversion
    * Remove unused header includes
  * [ros2] Fix tests on Dashing (#953 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/953>)
    * [ros2] Fix camera triggered test on Dashing
    backport remove noe fix and re-enable distortion tests
    * improve robustness of joint state pub test
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port model states to ROS2 (#968 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/968>)
    * [ros2] Port model states to ROS2
    * remove unported code
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] Port hand of god to ROS2 (#957 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/957>)
    * [ros2] Port hand of god to ROS2
    * Minor fixes
  * Contributors: Karsten Knese, Shivesh Khaitan, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 22 Aug 2019 22:00:00 -0000

ros-dashing-gazebo-ros (3.3.2-3bionic) bionic; urgency=high

  * [ros2] Port planar move to ROS2 (#958 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/958>)
    * [ros2] Port planar move to ROS2
    * Add test for pose conversion
  * use c_str() (#950 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/950>) (#954 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/954>)
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * Crystal changes for dashing (#933 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/933>)
    * [ros2] World plugin to get/set entity state services (#839 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/839>)
    remove status_message
    * [ros2] Port time commands (pause / reset) (#866 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/866>)
    * relative -> reference
  * Contributors: Shivesh Khaitan, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 30 Jul 2019 22:00:00 -0000

ros-dashing-gazebo-ros (3.3.1-3bionic) bionic; urgency=high

  * Declare parameters and use overrides (#931 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/931>)
    * Declare parameters and use overrides
    * PR feedback
    * fix linking error
  * Contributors: chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 29 May 2019 22:00:00 -0000

ros-dashing-gazebo-ros (3.3.0-3bionic) bionic; urgency=high

  * use latest dashing api (#926 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/926>)
    * [gazebo_ros] use qos
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * [gazebo_ros] avoid unused warning
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * [gazebo_plugins] use qos
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
    * allow_undeclared_parameters
    * fix tests
    * forward port pull request #901 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/901>
  * Fix build to account for new NodeOptions interface. (#887 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/887>)
  * Fix Windows conflicting macros and missing usleep (#885 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/885>)
    * Fix conflicting Windows macros and missing usleep
    * fix spacing
    * fix spacing again
    * remove lint
  * Call rclcpp::init() only from gazebo_ros_init (#859 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/859>)
  * [ros] Revert sim time test (#853 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/853>)
  * Contributors: Carl Delsey, Jonathan Noyola, Karsten Knese, Tamaki Nishino, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 May 2019 22:00:00 -0000

ros-dashing-gazebo-ros (3.1.0-3bionic) bionic; urgency=high

  * [ros2] Camera and triggered camera (#827 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/827>)
    * move gazebo_ros_camera and some functionality from gazebo_ros_camera_utils, needs master branch of image_transport and message_filters, not functional, but compiling
    * port PutCameraData, needs common_interfaces PR #58 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/58>
    * move camera worlds, fix compilation, image can be seen on RViz
    * Port camera test: simplify world, use ServerFixture for better control and not to need launch - test is hanging on exit, not sure why
    * fix test hanging on exit
    * port camera16bit test and fix world copying on make
    * Start porting camera distortion tests: must port cam_info, 2nd test failing
    * sortout camera_name and frame_name
    * Port gazebo_ros_camera_triggered as part of gazebo_ros_camera, with test
    * Use camera_info_manager from branch ci_manager_port_louise, enable barrel distortion test - passes but segfaults at teardown, could be a problem with having 2 plugins side-by-side.
    * linters and comment out crashing test
    * Demo worlds, doxygen, more node tests
    * Use image_transport remapping
    * adapt to new image_transport pointer API
    * new API
  * fix rclcpp::init when there are no arguments
  * [ros2] Adapt sim time test to work around rclcpp issue
  * Contributors: Louise Poubel, chapulina

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 09 Dec 2018 23:00:00 -0000

ros-dashing-gazebo-ros (3.0.0-3bionic) bionic; urgency=high

  * [ros2] Port spawn/delete methods   (#808 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/808>)
    * First port of ROS2 of factory method. Still a work in progress
    * Install gazebo_ros_factory
    * Changes proposed by uncrustify
    * Make cpplint happy
    * Remove unneded header
    * fix merge
    * remove ported ROS 1 code
    * SpawnEntity service, initialize after world is created, remove XML strip since it's not needed, simplify Is* functions
    * support robot_namespace inside <plugin><ros><namespace>
    * a bit more tweaks and cleanup
    * Use libsdformat to parse the XML, instead of tinyxml, significantly reducing the code
    * uncrustify
    * port delete services
    * linters
    * spawn and delete tests, must check light test
    * fix spawning lights, compile error for non implemented conversions, linters
  * [ros2] Port diff_drive plugin to ros2 (#806 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/806>)
    * copy gazebo_ros_diff_drive files from unported
    * Fix copy and paste error for exporting  gazebo_ros_joint_state_publisher
    * Add gazebo_ros_diff_drive to CMakeLists.txt
    * Basic structures updated
    includes updated
    include guards updated
    CMake rules added
    Not compiling yet
    * starting deboostifying
    updating lock
    header passing compile
    diff drive plugin compiling
    clear all references to callback queue
    * pimpl, remove joint state publisher
    * documentation, add TF publishers - commands and publishers work, but visualization on RViz is jerky, must check
    * pass linters
    * check that reset works now, rename params, add missing package
    * remap topics, add pub/sub test
    * sleep longer to see if it passes on Jenkins
  * Remove node_name from <ros> SDF tag (#804 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/804>)
    * Rename Node::Create to Node::Get
    * Node::Get without node name
    * Remove node_name support from SDF
    * wip get name from plugin name
    * Remove node name argument (will be inferred from sdf)
    * fix tests and implement static shared node
    * Adding test file
  * [ros2] Split conversions into headers specific to message packages (#803 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/803>)
    * Tests depend on sensor_msgs
    * Move conversions to different headers to minimise deps brought in
    * Remove conversions namespace
    * Include updates
    * Update message package dependencies
    gazebo_ros doesn't need sensor_msgs or geometry_msgs anymore
    * Export msg pacakges so downstream packages depend
    * Include msg headers used directly
    * removing redundant dependencies
    * fix build and cpplint
  * working demo, notes and warnings about issues
  * fix build by adding includes
  * Test correctness of ray_sensor intensity
  * Add Point32->ign vector conversion, fix pointcloud conversion
  * Simplify ray_sensor using gazebo_ros conversions
  * Add LaserScan conversions to gazebo_ros
  * [ros2] Add clock publisher to gazebo_ros_init for use_sim_time support (#794 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/794>)
    * Add Throttler to gazebo_ros utilities
    * Add sim time to gazebo_ros_init
    * Remove period constructor from Throttler
    * Improve sim time test
    * Fix compilation in isolation for gazebo_ros_init
    * Transient local durability for clock publisher
    * Linter fixup
    * Document Throttler will return true on first call
    * Store rate as double not Time
    * Import order improvements
  * [ros2] Port gazebo_ros_imu_sensor (#793 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/793>)
    * Move files to prepare for imu_sensor ROS2 port
    * Port gazebo_ros_imu_sensor
    * Address IMU Sensor PR comments
    * Remove empty <imu> tag
    * document that always_on is required
    * alphabetical order includes
    * Step far forward instead of multiple small steps
    * Fix test_conversions not finding quaternion.hpp
    * Apply force longer; check IMU values; robust to negative linear accel
    * linter fixup
  * [ros2] gazebo_ros_joint_state_publisher (#795 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/795>)
    * Port joint_state_publisher, copyright failing checker, still need to add a test
    * Fix copyright
    * Tests for joint state publisher
    * cleanup
    * depend on sensor_msgs
    * Use node's logger
  * Merge pull request #796 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/796> from ros-simulation/ros2_fix_ci_authors
    [ros2] Fix missing dependencies to run CI and update maintainers
  * Missing dependency in gazebo_ros
  * Add SensorFrameID utility function
  * Add NoiseVariance method for NoisePtr type
  * Add geometry quaternion -> ignition conversion
  * PR Comments for gazebo_ros utils
  * Add gazebo_ros utils for utility functions
  * Add time and quaternion conversions
  * Add testing_utils to reduce duplicate code in tests
  * PR feedback
  * conversions
  * improve example, add demo world, fix sdf warnings
  * Add Node::Create with sdf element
    Move ament linting back to main CmakeList
    Various style fixes
    Only catch RCL_NOT_INIT exception in Node::Create
    Add larger timeouts to tests (stil flakey)
  * [ros2] gazebo_ros_init plugin (#776 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/776>)
    gazebo_ros_init plugin and very basic launch file
  * Fix bug in test_plugins not ensuring all topics were received
  * Call init from node in case it hasn't been called yet
  * Remove internal logic to check init, add more tests
  * Remove Node::Create using sdf until it is implemented
  * Add simple test for gazebo_ros::Node
  * Enable linters and make them happy
  * Create base Node class for gazebo plugins with ROS2
  * Move gazebo_ros files for porting
  * Contributors: Jose Luis Rivero, Kevin Allen, Louise Poubel, Tully Foote, chapulina, dhood

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 06 Dec 2018 23:00:00 -0000

ros-dashing-gazebo-ros (2.8.4-3bionic) bionic; urgency=high

  * Refactor spawn_model script
    * more robust -package_to_model implementation (issue #449)
    * add stdin as source option
    * parse arguments with argparse
    * remove deprecated/unused -gazebo and -trimesh options
  * Fix physics reconfigure within namespace (issue #507)
  * Contributors: Kevin Allen, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-dashing-gazebo-ros (2.8.3-3bionic) bionic; urgency=high

  * Use generic SIGINT parameter in kill command for gazebo script (melodic-devel) (#724 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/724>)
    * Use generic SIGINT parameter in kill command for gazebo script
    * redirect to kill command to std_err
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 03 Jun 2018 22:00:00 -0000

ros-dashing-gazebo-ros (2.8.2-3bionic) bionic; urgency=high

  * Fix the build on Ubuntu Artful. (#715 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/715>)
    Artful has some bugs in its cmake files for Simbody that
    cause it to fail the build.  If we are on artful, remove
    the problematic entries.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Contributors: Chris Lalancette

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 08 May 2018 22:00:00 -0000

ros-dashing-gazebo-ros (2.8.1-3bionic) bionic; urgency=high

  * Parameter to disable ROS network interaction from/to Gazebo (lunar-devel) (#704 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/704>)
  * Load the libgazebo_ros_api_plugin when starting gzclient so that the ROS event loop will turn over, which is required when you have a client-side Gazebo plugin that uses ROS. (#676 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/676>)
  * Pass verbose argument to gzclient (#677 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/677>)
  * strip comments from parsed urdf (#698 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/698>)
    Remove comments from urdf before trying to find packages. Otherwise non-existant packages will produce a fatal error, even though they are not used.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 04 May 2018 22:00:00 -0000

ros-dashing-gazebo-ros (2.7.4-3bionic) bionic; urgency=high

  * Fix last gazebo8 warnings! (lunar-devel) (#664 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/664>)
  * Fix for relative frame errors (lunar-devel) (#663 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/663>)
  * Fix gazebo8 warnings part 7: retry #642 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/642> on lunar (#660 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/660>)
  * Fix gazebo8 warnings part 10: ifdefs for GetModel, GetEntity, Light (lunar-devel) (#657 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/657>)
  * gazebo8 warnings: ifdefs for Get.*Vel() (#655 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/655>)
  * [gazebo_ros] don't overwrite parameter "use_sim_time" (lunar-devel) (#607 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/607>)
  * Fix gazebo8 warnings part 8: ifdef's for GetWorldPose (lunar-devel) (#652 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/652>)
  * Prevents GAZEBO_MODEL_DATABASE_URI from being overwritten (#649 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/649>)
  * for gazebo8+, call functions without Get (#640 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/640>)
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Feb 2018 23:00:00 -0000

ros-dashing-gazebo-ros (2.7.3-3bionic) bionic; urgency=high

  * gazebo_ros_api_plugin: improve plugin xml parsing (#627 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/627>)
  * Fix gazebo8 warnings part 5: ignition math in gazebo_ros (lunar-devel) (#636 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/636>)
  * Fix gazebo8 warnings part 4: convert remaining local variables in plugins to ign-math (lunar-devel) (#634 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/634>)
  * gazebo_ros: fix support for python3 (#629 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/629>)
  * Replace Events::Disconnect* with pointer reset (#626 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/626>)
  * Install spawn_model using catkin_install_python (#624 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/624>)
  * Quote arguments to echo in libcommon.sh (#591 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/591>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Dec 2017 23:00:00 -0000

ros-dashing-gazebo-ros (2.7.2-3bionic) bionic; urgency=high

  * Revert gazebo8 changes in Lunar and back to use gazebo7 (#583 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/583>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 20 May 2017 22:00:00 -0000

ros-dashing-gazebo-ros (2.7.1-3bionic) bionic; urgency=high

  * Fixes for compilation and warnings in Lunar-devel  (#573 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/573>)
    Multiple fixes for compilation and warnings coming from Gazebo8 and ignition-math3
  * Add catkin package(s) to provide the default version of Gazebo - take II (kinetic-devel) (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Apr 2017 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.12-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 24 Apr 2017 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.11-3bionic) bionic; urgency=high

  * Changed the spawn model methods to spawn also lights. (#511 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/511>)
  * Change build system to set DEPEND on Gazebo/SDFormat (fix catkin warning)
    Added missing DEPEND clauses to catkin_package to fix gazebo catkin warning.
    Note that after the change problems could appear related to -lpthreads
    errors. This is an known issue related to catkin:
    https://github.com/ros/catkin/issues/856.
  * Use correct logerr method (#557 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/557>)
  * Contributors: Alessandro Ambrosano, Dave Coleman, Gary Servin

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Apr 2017 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.10-3bionic) bionic; urgency=high

  * Revert catkin warnings to fix regressions (problems with catkin -lpthreads errors)
    For reference and reasons, please check:
    https://discourse.ros.org/t/need-to-sync-new-release-of-rqt-topic-indigo-jade-kinetic/1410/4
    * Revert "Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)"
    This reverts commit 5a0305fcb97864b66bc2e587fc0564435b4f2034.
    * Revert "Fix gazebo and sdformat catkin warnings"
    This reverts commit 11f95d25dcd32faccd2401d45c722f7794c7542c.
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 02 Mar 2017 23:00:00 -0000

ros-dashing-gazebo-ros (2.5.9-3bionic) bionic; urgency=high

  * Fix gazebo catkin warning, cleanup CMakeLists (#537 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/537>)
  * Namespace console output (#543 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/543>)
  * Removed all trailing whitespace
  * Contributors: Dave Coleman

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 19 Feb 2017 23:00:00 -0000

ros-dashing-gazebo-ros (2.5.8-3bionic) bionic; urgency=high

  * Workaround to support gazebo and ROS arguments in the command line
  * Fix ROS remapping by reverting "Remove ROS remapping arguments from gazebo_ros launch scripts.
  * Fixed getlinkstate service's angular velocity return
  * Honor GAZEBO_MASTER_URI in gzserver and gzclient
  * Contributors: Jared, Jon Binney, Jordan Liviero, Jose Luis Rivero, Martin Pecka

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Dec 2016 23:00:00 -0000

ros-dashing-gazebo-ros (2.5.7-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 09 Jun 2016 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.6-3bionic) bionic; urgency=high

  * Remove deprecated spawn_gazebo_model service
  * Contributors: Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Apr 2016 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.5-3bionic) bionic; urgency=high

  * merge indigo, jade to kinetic-devel
  * Upgrade to gazebo 7 and remove deprecated driver_base dependency
    * Upgrade to gazebo 7 and remove deprecated driver_base dependency
    * disable gazebo_ros_control until dependencies are met
    * Remove stray backslash
  * spawn_model: adding -b option to bond to the model and delete it on sigint
  * Update maintainer for Kinetic release
  * Allow respawning gazebo node.
  * Contributors: Hugo Boyer, Isaac IY Saito, Jackie Kay, Jonathan Bohren, Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 26 Apr 2016 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.3-3bionic) bionic; urgency=high

  * Include binary in runtime
  * Remove ROS remapping arguments from gazebo_ros launch scripts.
  * Contributors: Jose Luis Rivero, Martin Pecka

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 10 Apr 2016 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.2-3bionic) bionic; urgency=high

  * merging from indigo-devel
  * Merge pull request #302 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/302> from maxbader/jade-devel-GetModelState
    Header for GetModelState service request for jade-devel
  * Fix invalid signal name on OS X
    scripts/gazebo: line 30: kill: SIGINT: invalid signal specification
  * Fix invalid signal name on OS X
    scripts/gazebo: line 30: kill: SIGINT: invalid signal specification
  * Restart package resolving from last position, do not start all over.
  * 2.4.9
  * Generate changelog
  * Import changes from jade-branch
  * Add range world and launch file
  * fix crash
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * GetModelState modification for jade
  * Contributors: Bence Magyar, Boris Gromov, Guillaume Walck, Ian Chen, John Hsu, Jose Luis Rivero, Markus Bader, Steven Peters, hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-dashing-gazebo-ros (2.5.1-3bionic) bionic; urgency=high

  * Port of Pal Robotics range sensor plugin to Jade
  * Added a comment about the need of libgazebo5-dev in runtime
  * Added missing files
  * Added elevator plugin
  * Use c++11
  * run_depend on libgazebo5-dev (#323 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/323>)
    Declare the dependency.
    It can be fixed later if we don't want it.
  * Contributors: Jose Luis Rivero, Nate Koenig, Steven Peters
  * Port of Pal Robotics range sensor plugin to Jade
  * Added a comment about the need of libgazebo5-dev in runtime
  * Added missing files
  * Added elevator plugin
  * Use c++11
  * run_depend on libgazebo5-dev
  * Contributors: Jose Luis Rivero, Nate Koenig, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-dashing-gazebo-ros (2.5.0-3bionic) bionic; urgency=high

  * run_depend on libgazebo5-dev instead of gazebo5
  * Changed the rosdep key for gazebo to gazebo5, for Jade Gazebo5 will be used.
  * Contributors: Steven Peters, William Woodall

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 29 Apr 2015 22:00:00 -0000

ros-dashing-gazebo-ros (2.4.10-3bionic) bionic; urgency=high

  * Fix invalid signal name on OS X
    scripts/gazebo: line 30: kill: SIGINT: invalid signal specification
  * Restart package resolving from last position, do not start all over.
  * Contributors: Boris Gromov, Guillaume Walck

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 24 Feb 2016 23:00:00 -0000

ros-dashing-gazebo-ros (2.4.9-3bionic) bionic; urgency=high

  * Import changes from jade-branch
  * Add range world and launch file
  * fix crash
  * Set GAZEBO_CXX_FLAGS to fix c++11 compilation errors
  * Contributors: Bence Magyar, Ian Chen, Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 15 Aug 2015 22:00:00 -0000

ros-dashing-gazebo-ros (2.4.8-3bionic) bionic; urgency=high

  * Specify physics engine in args to empty_world.launch
  * Contributors: Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-dashing-gazebo-ros (2.4.7-3bionic) bionic; urgency=high

  * temporary hack to **fix** the -J joint position option (issue #93 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/93>), sleeping for 1 second to avoid race condition. this branch should only be used for debugging, merge only as a last resort.
  * Fixing set model state method and test
  * Extended the fix for #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246> also to debug, gazebo, gzclient and perf scripts.
  * Update Gazebo/ROS tutorial URL
  * [gazebo_ros] Fix for #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246>
    Fixing issue #246 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/246> in gzserver.
  * Fixing handling of non-world frame velocities in setModelState.
  * update headers to apache 2.0 license
  * update headers to apache 2.0 license
  * Contributors: John Hsu, Jose Luis Rivero, Martin Pecka, Tom Moore, ayrton04

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 14 Dec 2014 23:00:00 -0000

ros-dashing-gazebo-ros (2.4.6-3bionic) bionic; urgency=high

  * Merge pull request #232 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/232> from ros-simulation/fix_get_physics_properties_non_ode
    Fix get physics properties non ode
  * Merge pull request #183 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/183> from ros-simulation/issue_182
    Fix STL iterator errors, misc. cppcheck (#182 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/182>)
  * check physics engine type before calling set_physics_properties and get_physics_properteis
  * check physics engine type before calling set_physics_properties and get_physics_properteis
  * Fixes for calling GetParam() with different physic engines.
  * 2.3.6
  * Update changelogs for the upcoming release
  * Fixed boost any cast
  * Removed a few warnings
  * Update for hydro + gazebo 1.9
  * Fix build with gazebo4 and indigo
  * Fix STL iterator errors, misc. cppcheck (#182 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/182>)
    There were some errors in STL iterators.
    Initialized values of member variables in constructor.
    Removed an unused variable (model_name).
  * Contributors: Carlos Aguero, John Hsu, Jose Luis Rivero, Nate Koenig, Steven Peters, hsu, osrf

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 31 Aug 2014 22:00:00 -0000

ros-dashing-gazebo-ros (2.4.5-3bionic) bionic; urgency=high

  * Port fix_build branch for indigo-devel
    See pull request #221 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/221>
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 17 Aug 2014 22:00:00 -0000

ros-dashing-gazebo-ros (2.4.4-3bionic) bionic; urgency=high

  * Fix repo names in package.xml's
  * fix issue #198 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/198>
    Operator ``==`` is not recognized by sh scripts.
  * Add verbose parameter
    Add verbose parameter for --verbose gazebo flag
  * added osx support for gazebo start scripts
  * Contributors: Arn-O, Jon Binney, Markus Achtelik, Vincenzo Comito

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 17 Jul 2014 22:00:00 -0000

ros-dashing-gazebo-ros (2.4.3-3bionic) bionic; urgency=high

  * added osx support for gazebo start scripts
  * Remove gazebo_ros dependency on gazebo_plugins
  * Contributors: Markus Achtelik, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 May 2014 22:00:00 -0000

ros-dashing-gazebo-ros (2.4.2-3bionic) bionic; urgency=high

  * merging from hydro-devel
  * bump patch version for indigo-devel to 2.4.1
  * merging from indigo-devel after 2.3.4 release
  * "2.4.0"
  * catkin_generate_changelog
  * Contributors: John Hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Mar 2014 23:00:00 -0000

ros-dashing-gazebo-ros (2.4.1-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2013 23:00:00 -0000

ros-dashing-gazebo-ros (2.4.0-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 13 Oct 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.3.5-3bionic) bionic; urgency=high

  * gazebo_ros: [less-than-minor] fix newlines
  * gazebo_ros: remove assignment to self
    If this is needed for any twisted reason, it should be made clear
    anyway. Assuming this line is harmless and removing it because it
    generates cppcheck warnings.
  * Contributors: Paul Mathieu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Mar 2014 23:00:00 -0000

ros-dashing-gazebo-ros (2.3.4-3bionic) bionic; urgency=high

  * rerelease because sdformat became libsdformat, but we also based change on 2.3.4 in hydro-devel.
  * remove debug statement
  * fix sdf spawn with initial pose
  * fix sdf spawn with initial pose
  * Merge branch 'hydro-devel' into ``spawn_model_pose_fix``
  * fix indentation
  * Merge pull request #142 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/142> from hsu/hydro-devel
    fix issue #38 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/38>, gui segfault on model deletion
  * Merge pull request #140 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/140> from ``v4hn/spawn_model_sleep``
    replace time.sleep by rospy.Rate.sleep
  * fix spawn initial pose.  When model has a non-zero initial pose and user specified initial model spawn pose, add the two.
  * fix issue #38 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/38>, gui segfault on model deletion by removing an obsolete call to set selected object state to "normal".
  * replace time.sleep by rospy.Rate.sleep
    time was not even imported, so I don't know
    why this could ever have worked...
  * Add time import
    When using the -wait option the script fails because is missing the time import
  * Use pre-increment for iterators
  * Fix iterator erase() problems

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 12 Nov 2013 23:00:00 -0000

ros-dashing-gazebo-ros (2.3.3-3bionic) bionic; urgency=high

  * Cleaned up unnecessary debug output that was recently added
  * Fixed issue where ``catkin_find`` returns more than one library if it is installed from both source and debian

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 09 Oct 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.3.2-3bionic) bionic; urgency=high

  * Make gazebo includes use full path
    In the next release of gazebo, it will be required to use the
    full path for include files. For example,
    include <physics/physics.hh> will not be valid
    include <gazebo/physics/physics.hh> must be done instead.
  * update gazebo includes
  * Fixed a minor typo in spawn_model error message when -model not specified

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Sep 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.3.1-3bionic) bionic; urgency=high

  * Cleaned up template, fixes for header files

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 26 Aug 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.3.0-3bionic) bionic; urgency=high

  * gazebo_ros: fixed missing dependency on TinyXML
  * gazebo_plugins: replace deprecated boost function
    This is related to this gazebo issue <https://bitbucket.org/osrf/gazebo/issue/581/boost-shared_-_cast-are-deprecated-removed>

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 11 Aug 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.2.1-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 28 Jul 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.2.0-3bionic) bionic; urgency=high

  * Switched to pcl_conversions
  * Remove find_package(SDF) from CMakeLists.txt
    It is sufficient to find gazebo, which will export the information
    about the SDFormat package.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 28 Jul 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.1.5-3bionic) bionic; urgency=high

  * gazebo_ros: fixed variable names in gazebo_ros_paths_plugin

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 17 Jul 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.1.4-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 13 Jul 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.1.3-3bionic) bionic; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 12 Jul 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.1.2-3bionic) bionic; urgency=high

  * Added author
  * Tweak to make SDFConfig.cmake
  * Cleaned up CMakeLists.txt for all gazebo_ros_pkgs
  * Cleaned up gazebo_ros_paths_plugin
  * 2.1.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 11 Jul 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.1.1-3bionic) bionic; urgency=high

  * Merge branch 'hydro-devel' of github.com:ros-simulation/gazebo_ros_pkgs into hydro-devel
  * Reduced number of debug msgs
  * Fixed physics dynamic reconfigure namespace
  * gazebo_ros_api_plugin: set plugin_loaded_ flag to true in
    GazeboRosApiPlugin::Load() function
  * Actually we need __init__.py
  * Cleaning up code
  * Moved gazebo_interface.py from gazebo/ folder to gazebo_ros/ folder
  * Removed searching for plugins under 'gazebo' pkg because of rospack warnings
  * Minor print modification
  * Added dependency to prevent missing msg header, cleaned up CMakeLists

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Jul 2013 17:11:00 -0000

ros-dashing-gazebo-ros (2.1.0-3bionic) bionic; urgency=high

  * gazebo_ros: added deprecated warning for packages that use gazebo as
    package name for exported paths
  * Hiding some debug info
  * gazebo_ros: use rosrun in debug script, as rospack find gazebo_ros returns the wrong path in install space
  * Hide Model XML debut output to console
  * gazebo_ros_api_plugin.h is no longer exposed in the include folder
  * Added args to launch files, documentation
  * Merge pull request #28 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/28> from osrf/no_roscore_handling
    Better handling of gazebo_ros run when no roscore started
  * gazebo_ros: also support gazebo instead of gazebo_ros as package name for plugin_path, gazebo_model_path or gazebo_media_path exports
  * gazebo_plugins/gazebo_ros: fixed install directories for include files and gazebo scripts
  * changed comment location
  * added block comments for walkChildAddRobotNamespace
  * SDF and URDF now set robotNamespace for plugins
  * Better handling of gazebo_ros run when no roscore started

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 26 Jun 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.0.2-3bionic) bionic; urgency=high

  * Added Gazebo dependency
  * changed the final kill to send a SIGINT and ensure only the last background process is killed.
  * modified script to work in bash correctly (tested on ubuntu 12.04 LTS)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 19 Jun 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.0.1-3bionic) bionic; urgency=high

  * Incremented version to 2.0.1
  * Fixed circular dependency, removed deprecated pkgs since its a stand alone pkg
  * Shortened line lengths of function headers

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Jun 2013 22:00:00 -0000

ros-dashing-gazebo-ros (2.0.0-3bionic) bionic; urgency=high

  * Changed version to 2.0.0 based on gazebo_simulator being 1.0.0
  * Updated package.xml files for ros.org documentation purposes
  * Combined updateSDFModelPose and updateSDFName, added ability to spawn SDFs from model database, updates SDF version to lastest in parts of code, updated the tests
  * Renamed Gazebo model to SDF model, added ability to spawn from online database
  * Fixed really obvious error checking bug
  * Deprecated -gazebo arg in favor of -sdf tag
  * Reordered services and messages to be organized and reflect documentation. No code change
  * Cleaned up file, addded debug info
  * Merged changes from Atlas ROS plugins, cleaned up headers
  * Small fixes per ffurrer's code review
  * Deprecated warnings fixes
  * Cleaned up comment blocks - removed from .cpp and added to .h
  * Merged branches and more small cleanups
  * Small compile error fix
  * Standardized function and variable naming convention, cleaned up function comments
  * Reduced debug output and refresh frequency of robot spawner
  * Converted all non-Gazebo pointers to boost shared_ptrs
  * Removed old Gazebo XML handling functions - has been replaced by SDF, various code cleanup
  * Removed the physics reconfigure node handle, switched to async ROS spinner, reduced required while loops
  * Fixed shutdown segfault, renamed rosnode_ to nh_, made all member variables have _ at end, formatted functions
  * Added small comment
  * adding install for gazebo_ros launchfiles
  * Formatted files to be double space indent per ROS standards
  * Started fixing thread issues
  * Fixing install script names and adding gzserver and gdbrun to install command
  * Fixed deprecated warnings, auto formatted file
  * Cleaned up status messages
  * Added -h -help --help arguemnts to spawn_model
  * Removed broken worlds
  * Removed deprecated namespace argument
  * Using pkg-config to find the script installation path.
    Corrected a bash typo with client_final variable in gazebo script.
  * Cleaning up world files
  * Deprecated fix
  * Moved from gazebo_worlds
  * Cleaning up launch files
  * Moved from gazebo_worlds
  * Fixing renaming errors
  * Updated launch and world files and moved to gazebo_ros
  * Combined gzclient and gzserver
  * Added finished loading msg
  * All packages building in Groovy/Catkin
  * Imported from bitbucket.org

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 17 Jun 2013 22:00:00 -0000


